diff --git a/_ide_helper.php b/_ide_helper.php
index b307038..8aa4dcb 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -2139,7 +1728,7 @@ namespace {
          *
          * @param string $key
          * @param mixed $value
-         * @param \DateTime|float|int $minutes
+         * @param \DateTime|int $minutes
          * @return bool 
          * @static 
          */
@@ -2148,30 +1737,6 @@ namespace {
         }
         
         /**
-         * Increment the value of an item in the cache.
-         *
-         * @param string $key
-         * @param mixed $value
-         * @return int|bool 
-         * @static 
-         */
-        public static function increment($key, $value = 1){
-            return \Illuminate\Cache\Repository::increment($key, $value);
-        }
-        
-        /**
-         * Decrement the value of an item in the cache.
-         *
-         * @param string $key
-         * @param mixed $value
-         * @return int|bool 
-         * @static 
-         */
-        public static function decrement($key, $value = 1){
-            return \Illuminate\Cache\Repository::decrement($key, $value);
-        }
-        
-        /**
          * Store an item in the cache indefinitely.
          *
          * @param string $key
@@ -2187,7 +1752,7 @@ namespace {
          * Get an item from the cache, or store the default value.
          *
          * @param string $key
-         * @param \DateTime|float|int $minutes
+         * @param \DateTime|int $minutes
          * @param \Closure $callback
          * @return mixed 
          * @static 
@@ -2246,7 +1811,7 @@ namespace {
         /**
          * Get the default cache time.
          *
-         * @return float|int 
+         * @return int 
          * @static 
          */
         public static function getDefaultCacheTime(){
@@ -2256,7 +1821,7 @@ namespace {
         /**
          * Set the default cache time in minutes.
          *
-         * @param float|int $minutes
+         * @param int $minutes
          * @return void 
          * @static 
          */
@@ -2356,6 +1921,30 @@ namespace {
         }
         
         /**
+         * Increment the value of an item in the cache.
+         *
+         * @param string $key
+         * @param mixed $value
+         * @return int 
+         * @static 
+         */
+        public static function increment($key, $value = 1){
+            return \Illuminate\Cache\FileStore::increment($key, $value);
+        }
+        
+        /**
+         * Decrement the value of an item in the cache.
+         *
+         * @param string $key
+         * @param mixed $value
+         * @return int 
+         * @static 
+         */
+        public static function decrement($key, $value = 1){
+            return \Illuminate\Cache\FileStore::decrement($key, $value);
+        }
+        
+        /**
          * Remove all items from the cache.
          *
          * @return void 
@@ -2591,6 +2180,7 @@ namespace {
         /**
          * Queue a cookie to send with the next response.
          *
+         * @param mixed
          * @return void 
          * @static 
          */
@@ -2673,16 +2263,6 @@ namespace {
             return \Illuminate\Encryption\Encrypter::decrypt($payload);
         }
         
-        /**
-         * Get the encryption key.
-         *
-         * @return string 
-         * @static 
-         */
-        public static function getKey(){
-            return \Illuminate\Encryption\Encrypter::getKey();
-        }
-        
     }
 
 
@@ -2914,29 +2494,6 @@ namespace {
         }
         
         /**
-         * 
-         *
-         * @static 
-         */
-        public static function cursor($query, $bindings = array(), $useReadPdo = true){
-            //Method inherited from \Illuminate\Database\Connection            
-            return \Illuminate\Database\MySqlConnection::cursor($query, $bindings, $useReadPdo);
-        }
-        
-        /**
-         * Bind values to their parameters in the given statement.
-         *
-         * @param \PDOStatement $statement
-         * @param array $bindings
-         * @return void 
-         * @static 
-         */
-        public static function bindValues($statement, $bindings){
-            //Method inherited from \Illuminate\Database\Connection            
-            \Illuminate\Database\MySqlConnection::bindValues($statement, $bindings);
-        }
-        
-        /**
          * Run an insert statement against the database.
          *
          * @param string $query
@@ -3029,21 +2586,19 @@ namespace {
          * Execute a Closure within a transaction.
          *
          * @param \Closure $callback
-         * @param int $attempts
          * @return mixed 
          * @throws \Exception|\Throwable
          * @static 
          */
-        public static function transaction($callback, $attempts = 1){
+        public static function transaction($callback){
             //Method inherited from \Illuminate\Database\Connection            
-            return \Illuminate\Database\MySqlConnection::transaction($callback, $attempts);
+            return \Illuminate\Database\MySqlConnection::transaction($callback);
         }
         
         /**
          * Start a new database transaction.
          *
          * @return void 
-         * @throws Exception
          * @static 
          */
         public static function beginTransaction(){
@@ -3564,21 +3119,11 @@ namespace {
         }
         
         /**
-         * Get an array of global scopes that were removed from the query.
-         *
-         * @return array 
-         * @static 
-         */
-        public static function removedScopes(){
-            return \Illuminate\Database\Eloquent\Builder::removedScopes();
-        }
-        
-        /**
          * Find a model by its primary key.
          *
          * @param mixed $id
          * @param array $columns
-         * @return \Illuminate\Database\Eloquent\Model|\Illuminate\Database\Eloquent\Collection|static[]|static|null 
+         * @return \Illuminate\Database\Eloquent\Model|\Illuminate\Database\Eloquent\Collection|null 
          * @static 
          */
         public static function find($id, $columns = array()){
@@ -3586,7 +3131,7 @@ namespace {
         }
         
         /**
-         * Find multiple models by their primary keys.
+         * Find a model by its primary key.
          *
          * @param array $ids
          * @param array $columns
@@ -3637,12 +3182,11 @@ namespace {
          * Get the first record matching the attributes or create it.
          *
          * @param array $attributes
-         * @param array $values
          * @return \Illuminate\Database\Eloquent\Model 
          * @static 
          */
-        public static function firstOrCreate($attributes, $values = array()){
-            return \Illuminate\Database\Eloquent\Builder::firstOrCreate($attributes, $values);
+        public static function firstOrCreate($attributes){
+            return \Illuminate\Database\Eloquent\Builder::firstOrCreate($attributes);
         }
         
         /**
@@ -3703,38 +3247,15 @@ namespace {
         }
         
         /**
-         * Get a generator for the given query.
-         *
-         * @return \Generator 
-         * @static 
-         */
-        public static function cursor(){
-            return \Illuminate\Database\Eloquent\Builder::cursor();
-        }
-        
-        /**
-         * Chunk the results of the query.
-         *
-         * @param int $count
-         * @param callable $callback
-         * @return bool 
-         * @static 
-         */
-        public static function chunk($count, $callback){
-            return \Illuminate\Database\Eloquent\Builder::chunk($count, $callback);
-        }
-        
-        /**
-         * Chunk the results of a query by comparing numeric IDs.
+         * Chunk the results of the query.
          *
          * @param int $count
          * @param callable $callback
-         * @param string $column
          * @return bool 
          * @static 
          */
-        public static function chunkById($count, $callback, $column = 'id'){
-            return \Illuminate\Database\Eloquent\Builder::chunkById($count, $callback, $column);
+        public static function chunk($count, $callback){
+            return \Illuminate\Database\Eloquent\Builder::chunk($count, $callback);
         }
         
         /**
@@ -3762,6 +3283,19 @@ namespace {
         }
         
         /**
+         * Alias for the "pluck" method.
+         *
+         * @param string $column
+         * @param string $key
+         * @return \Illuminate\Support\Collection 
+         * @deprecated since version 5.2. Use the "pluck" method directly.
+         * @static 
+         */
+        public static function lists($column, $key = null){
+            return \Illuminate\Database\Eloquent\Builder::lists($column, $key);
+        }
+        
+        /**
          * Paginate the given query.
          *
          * @param int $perPage
@@ -3782,12 +3316,11 @@ namespace {
          * @param int $perPage
          * @param array $columns
          * @param string $pageName
-         * @param int|null $page
          * @return \Illuminate\Contracts\Pagination\Paginator 
          * @static 
          */
-        public static function simplePaginate($perPage = null, $columns = array(), $pageName = 'page', $page = null){
-            return \Illuminate\Database\Eloquent\Builder::simplePaginate($perPage, $columns, $pageName, $page);
+        public static function simplePaginate($perPage = null, $columns = array(), $pageName = 'page'){
+            return \Illuminate\Database\Eloquent\Builder::simplePaginate($perPage, $columns, $pageName);
         }
         
         /**
@@ -3824,18 +3357,6 @@ namespace {
         }
         
         /**
-         * Apply the callback's query changes if the given "value" is true.
-         *
-         * @param bool $value
-         * @param \Closure $callback
-         * @return $this 
-         * @static 
-         */
-        public static function when($value, $callback){
-            return \Illuminate\Database\Eloquent\Builder::when($value, $callback);
-        }
-        
-        /**
          * Add a basic where clause to the query.
          *
          * @param string $column
@@ -3944,50 +3465,6 @@ namespace {
         }
         
         /**
-         * Merge the constraints from a relation query to the current query.
-         *
-         * @param \Illuminate\Database\Eloquent\Builder $relation
-         * @return \Illuminate\Database\Eloquent\Builder|static 
-         * @static 
-         */
-        public static function mergeModelDefinedRelationConstraints($relation){
-            return \Illuminate\Database\Eloquent\Builder::mergeModelDefinedRelationConstraints($relation);
-        }
-        
-        /**
-         * Prevent the specified relations from being eager loaded.
-         *
-         * @param mixed $relations
-         * @return $this 
-         * @static 
-         */
-        public static function without($relations){
-            return \Illuminate\Database\Eloquent\Builder::without($relations);
-        }
-        
-        /**
-         * Add subselect queries to count the relations.
-         *
-         * @param mixed $relations
-         * @return $this 
-         * @static 
-         */
-        public static function withCount($relations){
-            return \Illuminate\Database\Eloquent\Builder::withCount($relations);
-        }
-        
-        /**
-         * Add the given scopes to the current builder instance.
-         *
-         * @param array $scopes
-         * @return mixed 
-         * @static 
-         */
-        public static function scopes($scopes){
-            return \Illuminate\Database\Eloquent\Builder::scopes($scopes);
-        }
-        
-        /**
          * Apply the scopes to the Eloquent builder instance and return it.
          *
          * @return \Illuminate\Database\Eloquent\Builder|static 
@@ -4000,7 +3477,7 @@ namespace {
         /**
          * Get the underlying query builder instance.
          *
-         * @return \Illuminate\Database\Query\Builder 
+         * @return \Illuminate\Database\Query\Builder|static 
          * @static 
          */
         public static function getQuery(){
@@ -4249,51 +3726,10 @@ namespace {
         }
         
         /**
-         * Add a "cross join" clause to the query.
-         *
-         * @param string $table
-         * @param string $first
-         * @param string $operator
-         * @param string $second
-         * @return \Illuminate\Database\Query\Builder|static 
-         * @static 
-         */
-        public static function crossJoin($table, $first = null, $operator = null, $second = null){
-            return \Illuminate\Database\Query\Builder::crossJoin($table, $first, $operator, $second);
-        }
-        
-        /**
-         * Add a "where" clause comparing two columns to the query.
-         *
-         * @param string|array $first
-         * @param string|null $operator
-         * @param string|null $second
-         * @param string|null $boolean
-         * @return \Illuminate\Database\Query\Builder|static 
-         * @static 
-         */
-        public static function whereColumn($first, $operator = null, $second = null, $boolean = 'and'){
-            return \Illuminate\Database\Query\Builder::whereColumn($first, $operator, $second, $boolean);
-        }
-        
-        /**
-         * Add an "or where" clause comparing two columns to the query.
-         *
-         * @param string|array $first
-         * @param string|null $operator
-         * @param string|null $second
-         * @return \Illuminate\Database\Query\Builder|static 
-         * @static 
-         */
-        public static function orWhereColumn($first, $operator = null, $second = null){
-            return \Illuminate\Database\Query\Builder::orWhereColumn($first, $operator, $second);
-        }
-        
-        /**
          * Add a raw where clause to the query.
          *
          * @param string $sql
-         * @param mixed $bindings
+         * @param array $bindings
          * @param string $boolean
          * @return $this 
          * @static 
@@ -4563,12 +3999,12 @@ namespace {
          *
          * @param string $column
          * @param string $operator
-         * @param mixed $value
+         * @param int $value
          * @param string $boolean
          * @return \Illuminate\Database\Query\Builder|static 
          * @static 
          */
-        public static function whereDate($column, $operator, $value = null, $boolean = 'and'){
+        public static function whereDate($column, $operator, $value, $boolean = 'and'){
             return \Illuminate\Database\Query\Builder::whereDate($column, $operator, $value, $boolean);
         }
         
@@ -4577,7 +4013,7 @@ namespace {
          *
          * @param string $column
          * @param string $operator
-         * @param string $value
+         * @param int $value
          * @return \Illuminate\Database\Query\Builder|static 
          * @static 
          */
@@ -4586,43 +4022,16 @@ namespace {
         }
         
         /**
-         * Add a "where time" statement to the query.
-         *
-         * @param string $column
-         * @param string $operator
-         * @param int $value
-         * @param string $boolean
-         * @return \Illuminate\Database\Query\Builder|static 
-         * @static 
-         */
-        public static function whereTime($column, $operator, $value, $boolean = 'and'){
-            return \Illuminate\Database\Query\Builder::whereTime($column, $operator, $value, $boolean);
-        }
-        
-        /**
-         * Add an "or where time" statement to the query.
-         *
-         * @param string $column
-         * @param string $operator
-         * @param int $value
-         * @return \Illuminate\Database\Query\Builder|static 
-         * @static 
-         */
-        public static function orWhereTime($column, $operator, $value){
-            return \Illuminate\Database\Query\Builder::orWhereTime($column, $operator, $value);
-        }
-        
-        /**
          * Add a "where day" statement to the query.
          *
          * @param string $column
          * @param string $operator
-         * @param mixed $value
+         * @param int $value
          * @param string $boolean
          * @return \Illuminate\Database\Query\Builder|static 
          * @static 
          */
-        public static function whereDay($column, $operator, $value = null, $boolean = 'and'){
+        public static function whereDay($column, $operator, $value, $boolean = 'and'){
             return \Illuminate\Database\Query\Builder::whereDay($column, $operator, $value, $boolean);
         }
         
@@ -4631,12 +4040,12 @@ namespace {
          *
          * @param string $column
          * @param string $operator
-         * @param mixed $value
+         * @param int $value
          * @param string $boolean
          * @return \Illuminate\Database\Query\Builder|static 
          * @static 
          */
-        public static function whereMonth($column, $operator, $value = null, $boolean = 'and'){
+        public static function whereMonth($column, $operator, $value, $boolean = 'and'){
             return \Illuminate\Database\Query\Builder::whereMonth($column, $operator, $value, $boolean);
         }
         
@@ -4645,12 +4054,12 @@ namespace {
          *
          * @param string $column
          * @param string $operator
-         * @param mixed $value
+         * @param int $value
          * @param string $boolean
          * @return \Illuminate\Database\Query\Builder|static 
          * @static 
          */
-        public static function whereYear($column, $operator, $value = null, $boolean = 'and'){
+        public static function whereYear($column, $operator, $value, $boolean = 'and'){
             return \Illuminate\Database\Query\Builder::whereYear($column, $operator, $value, $boolean);
         }
         
@@ -4669,12 +4078,12 @@ namespace {
         /**
          * Add a "group by" clause to the query.
          *
-         * @param array $groups
+         * @param array|string $column,...
          * @return $this 
          * @static 
          */
-        public static function groupBy($groups = null){
-            return \Illuminate\Database\Query\Builder::groupBy($groups);
+        public static function groupBy(){
+            return \Illuminate\Database\Query\Builder::groupBy();
         }
         
         /**
@@ -4764,17 +4173,6 @@ namespace {
         }
         
         /**
-         * Put the query's results in random order.
-         *
-         * @param string $seed
-         * @return $this 
-         * @static 
-         */
-        public static function inRandomOrder($seed = ''){
-            return \Illuminate\Database\Query\Builder::inRandomOrder($seed);
-        }
-        
-        /**
          * Add a raw "order by" clause to the query.
          *
          * @param string $sql
@@ -4843,19 +4241,6 @@ namespace {
         }
         
         /**
-         * Constrain the query to the next "page" of results after a given ID.
-         *
-         * @param int $perPage
-         * @param int $lastId
-         * @param string $column
-         * @return \Illuminate\Database\Query\Builder|static 
-         * @static 
-         */
-        public static function forPageAfterId($perPage = 15, $lastId = 0, $column = 'id'){
-            return \Illuminate\Database\Query\Builder::forPageAfterId($perPage, $lastId, $column);
-        }
-        
-        /**
          * Add a union statement to the query.
          *
          * @param \Illuminate\Database\Query\Builder|\Closure $query
@@ -4967,7 +4352,7 @@ namespace {
          * Retrieve the minimum value of a given column.
          *
          * @param string $column
-         * @return mixed 
+         * @return float|int 
          * @static 
          */
         public static function min($column){
@@ -4978,7 +4363,7 @@ namespace {
          * Retrieve the maximum value of a given column.
          *
          * @param string $column
-         * @return mixed 
+         * @return float|int 
          * @static 
          */
         public static function max($column){
@@ -4989,7 +4374,7 @@ namespace {
          * Retrieve the sum of the values of a given column.
          *
          * @param string $column
-         * @return mixed 
+         * @return float|int 
          * @static 
          */
         public static function sum($column){
@@ -5000,7 +4385,7 @@ namespace {
          * Retrieve the average of the values of a given column.
          *
          * @param string $column
-         * @return mixed 
+         * @return float|int 
          * @static 
          */
         public static function avg($column){
@@ -5011,7 +4396,7 @@ namespace {
          * Alias for the "avg" method.
          *
          * @param string $column
-         * @return mixed 
+         * @return float|int 
          * @static 
          */
         public static function average($column){
@@ -5023,7 +4408,7 @@ namespace {
          *
          * @param string $function
          * @param array $columns
-         * @return mixed 
+         * @return float|int 
          * @static 
          */
         public static function aggregate($function, $columns = array()){
@@ -5031,18 +4416,6 @@ namespace {
         }
         
         /**
-         * Execute a numeric aggregate function on the database.
-         *
-         * @param string $function
-         * @param array $columns
-         * @return float|int 
-         * @static 
-         */
-        public static function numericAggregate($function, $columns = array()){
-            return \Illuminate\Database\Query\Builder::numericAggregate($function, $columns);
-        }
-        
-        /**
          * Insert a new record into the database.
          *
          * @param array $values
@@ -5066,18 +4439,6 @@ namespace {
         }
         
         /**
-         * Insert or update a record matching the attributes, and fill it with values.
-         *
-         * @param array $attributes
-         * @param array $values
-         * @return bool 
-         * @static 
-         */
-        public static function updateOrInsert($attributes, $values = array()){
-            return \Illuminate\Database\Query\Builder::updateOrInsert($attributes, $values);
-        }
-        
-        /**
          * Run a truncate statement on the table.
          *
          * @return void 
@@ -5404,24 +4765,12 @@ namespace {
          * Get the contents of a file.
          *
          * @param string $path
-         * @param bool $lock
          * @return string 
          * @throws \Illuminate\Contracts\Filesystem\FileNotFoundException
          * @static 
          */
-        public static function get($path, $lock = false){
-            return \Illuminate\Filesystem\Filesystem::get($path, $lock);
-        }
-        
-        /**
-         * Get contents of a file with shared access.
-         *
-         * @param string $path
-         * @return string 
-         * @static 
-         */
-        public static function sharedGet($path){
-            return \Illuminate\Filesystem\Filesystem::sharedGet($path);
+        public static function get($path){
+            return \Illuminate\Filesystem\Filesystem::get($path);
         }
         
         /**
@@ -5520,18 +4869,6 @@ namespace {
         }
         
         /**
-         * Create a hard link to the target file or directory.
-         *
-         * @param string $target
-         * @param string $link
-         * @return void 
-         * @static 
-         */
-        public static function link($target, $link){
-            \Illuminate\Filesystem\Filesystem::link($target, $link);
-        }
-        
-        /**
          * Extract the file name from a file path.
          *
          * @param string $path
@@ -5631,17 +4968,6 @@ namespace {
         }
         
         /**
-         * Determine if the given path is readable.
-         *
-         * @param string $path
-         * @return bool 
-         * @static 
-         */
-        public static function isReadable($path){
-            return \Illuminate\Filesystem\Filesystem::isReadable($path);
-        }
-        
-        /**
          * Determine if the given path is writable.
          *
          * @param string $path
@@ -5690,12 +5016,11 @@ namespace {
          * Get all of the files from the given directory (recursive).
          *
          * @param string $directory
-         * @param bool $hidden
          * @return array 
          * @static 
          */
-        public static function allFiles($directory, $hidden = false){
-            return \Illuminate\Filesystem\Filesystem::allFiles($directory, $hidden);
+        public static function allFiles($directory){
+            return \Illuminate\Filesystem\Filesystem::allFiles($directory);
         }
         
         /**
@@ -5724,19 +5049,6 @@ namespace {
         }
         
         /**
-         * Move a directory.
-         *
-         * @param string $from
-         * @param string $to
-         * @param bool $overwrite
-         * @return bool 
-         * @static 
-         */
-        public static function moveDirectory($from, $to, $overwrite = false){
-            return \Illuminate\Filesystem\Filesystem::moveDirectory($from, $to, $overwrite);
-        }
-        
-        /**
          * Copy a directory from one location to another.
          *
          * @param string $directory
@@ -5933,7 +5245,7 @@ namespace {
         }
         
         /**
-         * Get a gate instance for the given user.
+         * Get a guard instance for the given user.
          *
          * @param \Illuminate\Contracts\Auth\Authenticatable|mixed $user
          * @return static 
@@ -6118,6 +5430,7 @@ namespace {
         /**
          * Determine if the current request URI matches a pattern.
          *
+         * @param mixed  string
          * @return bool 
          * @static 
          */
@@ -6128,6 +5441,7 @@ namespace {
         /**
          * Determine if the current request URL and query string matches a pattern.
          *
+         * @param mixed  string
          * @return bool 
          * @static 
          */
@@ -6230,7 +5544,7 @@ namespace {
         }
         
         /**
-         * Get a subset containing the provided keys with values from the input data.
+         * Get a subset of the items from the input data.
          *
          * @param array|mixed $keys
          * @return array 
@@ -6252,17 +5566,6 @@ namespace {
         }
         
         /**
-         * Intersect an array of items with the input data.
-         *
-         * @param array|mixed $keys
-         * @return array 
-         * @static 
-         */
-        public static function intersect($keys){
-            return \Illuminate\Http\Request::intersect($keys);
-        }
-        
-        /**
          * Retrieve a query string item from the request.
          *
          * @param string $key
@@ -6312,7 +5615,7 @@ namespace {
          *
          * @param string $key
          * @param mixed $default
-         * @return \Illuminate\Http\UploadedFile|array|null 
+         * @return \Symfony\Component\HttpFoundation\File\UploadedFile|array|null 
          * @static 
          */
         public static function file($key = null, $default = null){
@@ -6331,17 +5634,6 @@ namespace {
         }
         
         /**
-         * Determine if a header is set on the request.
-         *
-         * @param string $key
-         * @return bool 
-         * @static 
-         */
-        public static function hasHeader($key){
-            return \Illuminate\Http\Request::hasHeader($key);
-        }
-        
-        /**
          * Retrieve a header from the request.
          *
          * @param string $key
@@ -6478,16 +5770,6 @@ namespace {
         }
         
         /**
-         * Determine if the current request probably expects a JSON response.
-         *
-         * @return bool 
-         * @static 
-         */
-        public static function expectsJson(){
-            return \Illuminate\Http\Request::expectsJson();
-        }
-        
-        /**
          * Determine if the current request is asking for JSON in return.
          *
          * @return bool 
@@ -6580,7 +5862,7 @@ namespace {
          * @param array $cookies The COOKIE parameters
          * @param array $files The FILES parameters
          * @param array $server The SERVER parameters
-         * @return \Request The duplicated request
+         * @return \Symfony\Component\HttpFoundation\Request The duplicated request
          * @static 
          */
         public static function duplicate($query = null, $request = null, $attributes = null, $cookies = null, $files = null, $server = null){
@@ -6750,7 +6032,7 @@ namespace {
         /**
          * Creates a new request with values from PHP's super globals.
          *
-         * @return \Request A new request
+         * @return \Symfony\Component\HttpFoundation\Request A new request
          * @static 
          */
         public static function createFromGlobals(){
@@ -6771,7 +6053,7 @@ namespace {
          * @param array $files The request files ($_FILES)
          * @param array $server The server parameters ($_SERVER)
          * @param string $content The raw body data
-         * @return \Request A Request instance
+         * @return \Symfony\Component\HttpFoundation\Request A Request instance
          * @static 
          */
         public static function create($uri, $method = 'GET', $parameters = array(), $cookies = array(), $files = array(), $server = array(), $content = null){
@@ -6823,7 +6105,7 @@ namespace {
         /**
          * Gets the list of trusted proxies.
          *
-         * @return array An array of trusted proxies
+         * @return array An array of trusted proxies.
          * @static 
          */
         public static function getTrustedProxies(){
@@ -6847,7 +6129,7 @@ namespace {
         /**
          * Gets the list of trusted host patterns.
          *
-         * @return array An array of trusted host patterns
+         * @return array An array of trusted host patterns.
          * @static 
          */
         public static function getTrustedHosts(){
@@ -6944,7 +6226,7 @@ namespace {
          * Order of precedence: PATH (routing placeholders or custom attributes), GET, BODY
          *
          * @param string $key the key
-         * @param mixed $default the default value if the parameter key does not exist
+         * @param mixed $default the default value
          * @return mixed 
          * @static 
          */
@@ -7367,18 +6649,6 @@ namespace {
         }
         
         /**
-         * Gets the mime types associated with the format.
-         *
-         * @param string $format The format
-         * @return array The associated mime types
-         * @static 
-         */
-        public static function getMimeTypes($format){
-            //Method inherited from \Symfony\Component\HttpFoundation\Request            
-            return \Illuminate\Http\Request::getMimeTypes($format);
-        }
-        
-        /**
          * Gets the format associated with the mime type.
          *
          * @param string $mimeType The associated mime type
